<div>
  <div id="network_tp" nz-col nzSpan=20></div>
  <div id="node_detail" nz-col nzSpan=4>
    <div id="node_info">
      node info
    </div>
    <div id="connection">
      connection info
    </div>
  </div>

  <div>
    <form [formGroup]='form' nz-col nzSpan=24>
      <div nz-col nzSpan=8>
        <label for="host">Host</label>
        <input type="checkbox" id="host" name="host" formControlName= 'host'
          (change)='onCheckboxHost($event)'>

        <br>
        <label for="good">Health Good</label>
        <input type='checkbox' id='good' name='good' formControlName='healthGood'
          (change)="onCheckboxGood($event)">

        <br>
        <label for="warning">Health Warning</label>
        <input type='checkbox' id='warning' name='warning' formControlName='healthWarning'
          (change)="onCheckboxWarning($event)">

        <br>
        <label for="critical">Health Critical</label>
        <input type='checkbox' id='critical' name='critical' formControlName='healthCritical'
          (change)="onCheckboxCritical($event)">

        <br>
        <label for="off">Power Off</label>
        <input type='checkbox' id='off' name='off' formControlName='powerOff'
          (change)="onCheckboxPowerOff($event)">

        <br>
        <label for="stale">Stale</label>
        <input type='checkbox' id='stale' name='stale' formControlName='stale'
          (change)="onCheckboxStale($event)">
      </div>

      <div nz-col nzSpan=8>
        <label for="linkState">Link State</label>
        <input type='checkbox' id='linkState' name='linkState' formControlName='linkState'
          (change)="onCheckboxLinkState($event)">
        <br>
        <label for="up">Up</label>
        <input type='checkbox' id='up' name='up' formControlName='up'
          (change)="onCheckboxLineUp($event)">
        <br>
        <label for="down">Down</label>
        <input type='checkbox' id='down' name='down' formControlName='down'
          (change)="onCheckboxLineDown($event)">
        <br>
        <label for="bmcBroken">BMC Link Broken</label>
        <input type='checkbox' id='bmcBroken' name='bmcBroken' formControlName='bmcBroken'
          (change)="onCheckboxLineBMCBroken($event)">
      </div>

      <div nz-col nzSpan=8>
        <label>IP Address</label>
        <input type="checkbox" id="ipaddr" name="ipaddr" formControlName= 'ipaddr'
          (change)='onCheckboxIPAddr($event)'>
      </div>
    </form>

    <div nz-col nzSpan=24>
      <nz-row>
        <nz-col nzSpan="4">
          <nz-slider [nzMin]="1" [nzMax]="4"
          [(ngModel)]="zoomValue"
          (ngModelChange)="onSliderEvent(zoomValue)"></nz-slider>
        </nz-col>
      </nz-row>
    </div>
  </div>

  <div id='node-tip' class='tooltip'>
    <h3 class="node-name-tip">{{nodeTipData?.name}}</h3>
    <label class='label-tip'>IP Address</label>
    <p class='ipaddr-tip' id='ipaddr-tip'>{{nodeTipData?.ip}}</p>
    <label class='label-tip'>location</label>
    <p class='location-tip'>{{nodeTipData?.location}}</p>
  </div>

  <div id='line-tip' class='tooltip'>

  </div>
</div>





